package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.SQLPartition;
import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.chenyang.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterTableAddPartition extends DmSQLObjectImpl implements SQLAlterTableItem {
   private SQLPartition partition;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.partition);
      }

      visitor.endVisit(this);
   }

   public SQLPartition getPartition() {
      return this.partition;
   }

   public void setPartition(SQLPartition partition) {
      this.partition = partition;
   }
}
